Skip to content

Create a webhook endpoint

POST
/v1/webhook-endpoints
curl --request POST \
--url https://your-notavia-host/v1/webhook-endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "url": "https://example.com", "event_filters": [ "example" ], "description": "example", "timeout_seconds": 1 }'
Media type application/json
object
url
required
string format: uri
event_filters

List of event types to deliver (empty means all events).

Array<string>
nullable
description
string
nullable
timeout_seconds
integer
nullable >= 1 <= 30
Example generated
{
"url": "https://example.com",
"event_filters": [
"example"
],
"description": "example",
"timeout_seconds": 1
}

Endpoint created.

Media type application/json
object
id
string format: uuid
url
string
status
string
Allowed values: active paused auto_disabled
event_filters
Array<string>
description
string
nullable
timeout_seconds
integer
signing_secret_prefix

First 8 characters of the signing secret for recognition only — full secret shown only at creation/rotation.

string
created_at
string format: date-time
Example
{
"status": "active"
}

Validation or request error.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Conflict (e.g. duplicate key, idempotency collision).

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}